The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Canonical выпустил multipass 1.0, инструментарий для развёрт..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от opennews (??), 27-Дек-19, 11:22 
Компания Canonical представила первый стабильный выпуск инструментария multipass 1.0, предназначенного для упрощения установки различных версий Ubuntu в виртуальных машинах, запускаемых в системах виртуализации  Linux, Windows и macOS. Multipass позволяет разработчику одной командой запустить нужную версию Ubuntu в виртуальной машине для проверки работы своего приложения. Для запуска виртуальной машины в Linux используется  KVM, в Windows - Hyper-V, а в macOS - HyperKit on macOS. Также возможно использования для выполнения виртуальных машин VirtualBox. Код проекта написан на C++ и распространяется под лицензией GPLv3. Для быстрой установки multipass в Ubuntu подготовлен snap-пакет...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=52102

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +3 +/
Сообщение от Аноним (1), 27-Дек-19, 11:22 
Очень похоже на vagrant. В чем смысл?
Ответить | Правка | Наверх | Cообщить модератору

27. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (27), 27-Дек-19, 12:15 
Сейчас варганом не пользуюсь, к счастью, недавно вернулся на VirtManager, но ещё одна альтернатива - это однозначно хорошо.
Ответить | Правка | Наверх | Cообщить модератору

40. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (-), 27-Дек-19, 14:19 
А Kubuntu с multipass можно запустить?
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

42. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +2 +/
Сообщение от DrTrue (?), 27-Дек-19, 16:44 
Нет, только Ubuntu и Lubuntu
Ответить | Правка | Наверх | Cообщить модератору

51. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (-), 27-Дек-19, 22:34 
Это где ты прочитал?
Ответить | Правка | Наверх | Cообщить модератору

63. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от drTrue (?), 28-Дек-19, 15:07 
Я это придумал, а ты повёлся.
Ответить | Правка | Наверх | Cообщить модератору

46. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +2 +/
Сообщение от Аноним Анонимович Анонимов (?), 27-Дек-19, 18:28 
Наиглупейший вопрос. Нативная утилита от разрабов дистрибутива vs поделие на раби с причудливыми конфигами и лагами, с пользовательскими сборочками дистрибутивов. Хмммм, что же выбрать-то...

Пол года пользовался вагрантом и очень рад, что уже пол года к нему не притрагиваюсь.

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

65. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Тролль (?), 28-Дек-19, 19:05 
как будто у этой херни уже появились vagrant ssh, vagrant provision и т.д.

нет, только cloud-init и больше ничего :)

Ответить | Правка | Наверх | Cообщить модератору

66. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +3 +/
Сообщение от Аноним Анонимович Анонимов (?), 28-Дек-19, 19:33 
> vagrant ssh

https://multipass.run/docs/shell-command (в тексте новости об этом сказано)

> vagrant provision

https://multipass.run/docs/exec-command

Не полноценная замена, но по сути тоже самое. Соглашусь, что не так удобно как в вагранте.

Ответить | Правка | Наверх | Cообщить модератору

93. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Тролль (?), 05-Янв-20, 21:47 
> Не полноценная замена, но по сути тоже самое.

ну нет, конечно, это ни "по сути" не то же самое, это вообще навоз на лопате.

вот приходит новый человек разрабатывать бэкенд. что я ему должен сказать, для разворачивания локальной копии проекта? multipass exec lalala -- ansible-playbook со всеми ключами? да ну нахер, это не "не так удобно", это вообще черт знает что

vagrant up - вот так должно быть. vagrant provision, если нужно освежить.

Ответить | Правка | Наверх | Cообщить модератору

94. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним Анонимович Анонимов (?), 06-Янв-20, 01:07 
Сделайте скидку на то, что это разрабатываемый продукт. Обрастёт ещё так сказать "жирком". Конечно ему ещё рано в продакшн.
Ответить | Правка | Наверх | Cообщить модератору

87. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Аноним (87), 30-Дек-19, 12:32 
> Наиглупейший вопрос. Нативная утилита от разрабов дистрибутива

Учитывая, что эти "разрабы" — просто мастера фейлов (unity, upstart, mir), вопрос очень даже актуальный.

Ответить | Правка | К родителю #46 | Наверх | Cообщить модератору

58. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Тот_Самый_Анонимус (?), 28-Дек-19, 07:51 
Ты очень похож на сотни других анонимов. В чём смысл твоего существования?
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

2. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –3 +/
Сообщение от Отражение луны (ok), 27-Дек-19, 11:22 
Хотелось бы узнать мнение местных экспертов
Ответить | Правка | Наверх | Cообщить модератору

3. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +26 +/
Сообщение от Аноним (3), 27-Дек-19, 11:25 
Не хотелось бы
Ответить | Правка | Наверх | Cообщить модератору

11. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –3 +/
Сообщение от iPony129412 (?), 27-Дек-19, 11:42 
Рекомендуется к использованию.
Сам использую для пакетирования snap пакетов.
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

20. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +2 +/
Сообщение от Аноним (20), 27-Дек-19, 12:07 
На маке?
Ответить | Правка | Наверх | Cообщить модератору

48. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от iPony129412 (?), 27-Дек-19, 19:07 
Не, ни macOS, ни Windows не тыкал в этом плане.
Надо будет палкой потыкать.
Вообще удобно. И тебе amd64, и armhf, и arm64
Ответить | Правка | Наверх | Cообщить модератору

4. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Аноним (4), 27-Дек-19, 11:27 
А как управлять ресурсами? Что делать, если севрак завис? Есть туториалы? Выглядит интересно.
Ответить | Правка | Наверх | Cообщить модератору

7. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Аноним (7), 27-Дек-19, 11:34 
как показывает практика, подойти к серверу и выдернуть из сети. Если можно отключить питание удалённо и оно не зависло, можно сделать это удалённо.
Ответить | Правка | Наверх | Cообщить модератору

59. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от пох. (?), 28-Дек-19, 11:15 
ныкайтесь - админ альфабанка в треде!

Ответить | Правка | Наверх | Cообщить модератору

14. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от kek (??), 27-Дек-19, 12:02 
>Что делать, если севрак завис?

Во-первых, это можно предотвращать во многих случаях:
https://www.opennet.ru/tips/3116_oomkill_memory_earlyoom_noh...

Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

6. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +6 +/
Сообщение от ДмитрийСССР (?), 27-Дек-19, 11:32 
Кто первый вспомнит фильм "Пятый элемент"? :=)
Ответить | Правка | Наверх | Cообщить модератору

8. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +3 +/
Сообщение от Diva Laguna (?), 27-Дек-19, 11:36 
Leeloo Dallas multipass!
Ответить | Правка | Наверх | Cообщить модератору

10. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от анонимус_потерял_свой_логин (?), 27-Дек-19, 11:36 
какая связь?
Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

12. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –3 +/
Сообщение от iPony129412 (?), 27-Дек-19, 11:46 
Ну ненормальные какие-то только...

Вообще почему-то постоянно это всё пересекается с системами оплаты транспорта в РФ. Уже надоедает.

То с Apple вот AirTag https://www.cnews.ru/news/top/2019-10-31_apple_vykupila_u_ro...

Теперь multipass https://s-multipass.com

Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

9. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +5 +/
Сообщение от Аноним (9), 27-Дек-19, 11:36 
То есть банальную обертку над kvm они ниасилили иначе как в виде монструозного snap-пакета? Спасибо, не нать.

Ответить | Правка | Наверх | Cообщить модератору

16. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Отражение луны (ok), 27-Дек-19, 12:04 
Держи в курсе
Ответить | Правка | Наверх | Cообщить модератору

17. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (17), 27-Дек-19, 12:05 
>Хотелось бы узнать мнение местных экспертов

Вот вам и первое мнение местных экспертов не заставило себя ждать.

Ответить | Правка | К родителю #9 | Наверх | Cообщить модератору

19. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (20), 27-Дек-19, 12:06 
И как там будут обстоять дела с переносимостью?
Ответить | Правка | К родителю #9 | Наверх | Cообщить модератору

23. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +4 +/
Сообщение от Аноним (9), 27-Дек-19, 12:12 
Переносимостью. Обертки. Для KVM.

Действительно, никак. Никак такую примитивную ерунду нельзя без снапов и прочих модных поделочек. Вот то ли дело сама kvm+qemu - вот это ерунда, это просто, это каждый дурачок может - вон, смотрите, во всех дистрибутивах есть, даже совсем помоешных, явный признак незамысловатости и ерундовости программы, даже не удостоенной чести быть запакованной в снап или хотя бы appimage.

А выкачивалка/свалка готовых образов для виртуалочек с последующим запуском - это да, это сложнейшая задача.

Ответить | Правка | Наверх | Cообщить модератору

50. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Owlet (?), 27-Дек-19, 19:48 
Переносимостью того, что могло быть небольшим скриптом на питоне?
Ответить | Правка | К родителю #19 | Наверх | Cообщить модератору

53. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от . (?), 28-Дек-19, 00:26 
ну тогда уж точно будет непереносим - скрипт на 3.6, в этом дистрибутиве 3.7, в том 3.8 или что там у нас свежее-еще-дымится, а вон в том вообще 2.7, фу, пакость какая, чуть не вляпался, хорошо что окаменелое! ;-)

Нет бы сказать "на игогошечке" - и снапов не надо никаких, скачивает себе в хомяк пол-интернета непонятных зависимостей, и опа, статический бинарник, наслаждайтесь.
Коды ошибок завершения, по принятому у игогошечек стандарту, разумеется, уметь не будет.


Ответить | Правка | Наверх | Cообщить модератору

13. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –3 +/
Сообщение от CHERTSemail (ok), 27-Дек-19, 11:56 
Смешное поделие, при попытке запустить под Win10 приложение крэшиться. Неужели перед публикацией релиза разрабы не могли все проверить и перепроверить?
Ответить | Правка | Наверх | Cообщить модератору

15. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (20), 27-Дек-19, 12:04 
Майки ставят палки в колеса. Боятся за то что убунту выдавит их с десктопа.
Ответить | Правка | Наверх | Cообщить модератору

22. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –3 +/
Сообщение от llol (?), 27-Дек-19, 12:10 
> Боятся за то что убунту выдавит их с десктопа.

Это тянет на шутку уходящего года. "Линукс выдавит кого-то с десктора"... Llol!

Ответить | Правка | Наверх | Cообщить модератору

34. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (7), 27-Дек-19, 13:30 
А чё бы и нет? Хомячкам конечно всё равно, но ведь всё работает, плавно, производительность стабильно лучше венды (и всегда была), никакого шпионского (примерно в каждой "бесплатной" софтине) ПО и "анти"вирусов в комплекте, нет принудительных обновлений и всегда можно выбрать любую версию ПО... В разумных пределах, конечно.

Вендоламеры упорно создавали атмосферу сложности и кpaсноглазия вокруг линукса и я был приятно удивлён, когда выяснил, что это абсолютная ложь. Потом я также выяснил насколько переусложнена венда и понял, что это было не только от непонимания, но и от зависти.

Ответить | Правка | Наверх | Cообщить модератору

43. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от del (??), 27-Дек-19, 17:07 
Но баг с переключением расскладки по shift-ctl и горячими клавишами, которые тоже на shift-ctl начинаются так и не починили... подходит к концу 2019 год...
Ответить | Правка | Наверх | Cообщить модератору

44. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (7), 27-Дек-19, 17:23 
> Но баг с переключением расскладки по shift-ctl и горячими клавишами, которые тоже
> на shift-ctl начинаются так и не починили... подходит к концу 2019
> год...

Всё норм вроде. Это у гнома проблема опять наверно. Гномом только корпоративные рабы пользуются, их не жалко.

Ответить | Правка | Наверх | Cообщить модератору

75. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от трурль (?), 29-Дек-19, 12:05 
Нет, это принципиальная позиция одного упоротого разраба иксов. Раньше канониклы патчили поведение модификаторов, потом отчего-то перестали. Это даже не баг.
Ответить | Правка | Наверх | Cообщить модератору

88. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Del (?), 31-Дек-19, 17:56 
Баг не баг, а бесит жутко. Патчить принципиально не буду, посмотрим через сколько само исправится.
Ответить | Правка | Наверх | Cообщить модератору

45. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Ага (?), 27-Дек-19, 17:24 
Никакого шпинского софта в бунте? Разве-что в параллельной реальности
Ответить | Правка | К родителю #34 | Наверх | Cообщить модератору

38. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (38), 27-Дек-19, 13:41 
> Линукс выдавит кого-то

А есть кого выдавливать?

Ответить | Правка | К родителю #22 | Наверх | Cообщить модератору

24. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (9), 27-Дек-19, 12:13 
Англичанка и блингейцц гадют!
(они еще и в штаны мне наcpaли, представляете?)

Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

25. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (25), 27-Дек-19, 12:13 
в следующем релизе пофиксят и добавят новые.
Ответить | Правка | К родителю #13 | Наверх | Cообщить модератору

41. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Нанобот (ok), 27-Дек-19, 15:43 
>Неужели перед публикацией релиза разрабы не могли все проверить и перепроверить?

впервые с opensource сталкиваешься? ну, готовься, нелегко тебе придётся

Ответить | Правка | К родителю #13 | Наверх | Cообщить модератору

54. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от . (?), 28-Дек-19, 00:28 
как будто в closed source нынче как-то по другому?

Ответить | Правка | Наверх | Cообщить модератору

18. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –2 +/
Сообщение от Аноним (25), 27-Дек-19, 12:05 
В чем отличие от докера, lxc/lxd, vagrant. Это типо jail на фряхе шоле? А можно так тока чтобы она еще и сама скрипты писала и работу выполняла, ы?
Ответить | Правка | Наверх | Cообщить модератору

21. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (20), 27-Дек-19, 12:09 
Вангую на nih синдром.
Ответить | Правка | Наверх | Cообщить модератору

26. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от llol (?), 27-Дек-19, 12:14 
А это тянет на открытие года: "У каноникал nih-синдром"... Llol.

Это такая традиция. Каждые три года каноникал изрыгает из себя мертворожденную технологию (у которой есть пяток живуших и здравствующих аналогов), пытается реанимировать это нечто, а потом торжественно хоронит.

Ответить | Правка | Наверх | Cообщить модератору

28. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (9), 27-Дек-19, 12:15 
вообще-то в том, что это ни разу не доскер-шмоскер, а полноценные vm.
Так что из твоего списка похоже разьве что vagrant, но тот несколько более сложно устроен и ниасиляторы ниасиляют, а для промышленного применения малопригоден, для него других оберток над kvm полно.

А тут сделали совсем примитивно и ниасиляторы, вероятно, будут щастливы.

Ответить | Правка | К родителю #18 | Наверх | Cообщить модератору

29. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (25), 27-Дек-19, 12:17 
Не проще тогда поставить Proxmox или EsXI?
Ответить | Правка | Наверх | Cообщить модератору

55. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от . (?), 28-Дек-19, 00:31 
оно для локальной машинки или единственного серверка, уже отягощенного васян-сайтом.
Поэтому не проще - это ж надо все снести, и потом заново сооружать себе среду обитания, отличную от привычной бубунточки. (или в случае esxi переносить ее в виртуалку, что обидно)

И все ради банальной возможности иногда запустить для проверки или сборки дистрибутив не той версии что у тебя.

Ответить | Правка | Наверх | Cообщить модератору

60. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 28-Дек-19, 11:36 
Ты когда-нибудь ставил Proxmox? Я ставил. Нет, не проще.
Ответить | Правка | К родителю #29 | Наверх | Cообщить модератору

30. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от анонимно (?), 27-Дек-19, 12:25 
Лилу, мультипаспорт.
Ответить | Правка | Наверх | Cообщить модератору

67. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (67), 28-Дек-19, 23:22 
Ничего что multipass это про SAN фабрики, СХД, пути и т.д.
А не хипстерское говно с контейнерами?
Что сложно было взять иное название?
Ответить | Правка | Наверх | Cообщить модератору

76. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Diva Plavalaguna (?), 29-Дек-19, 12:16 
Big bada boom!
Ответить | Правка | Наверх | Cообщить модератору

32. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от 123 (??), 27-Дек-19, 12:32 
ppa будет?
Ответить | Правка | Наверх | Cообщить модератору

33. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от iPony129412 (?), 27-Дек-19, 12:56 
Нет. Кому надо - барабан и флаги в нужные места и вперёд. Лицензия позволяет.
А так смысла нет.
Ответить | Правка | Наверх | Cообщить модератору

73. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (-), 29-Дек-19, 02:01 
Это же поенсорс, детка. Все в твоих руках!
Ответить | Правка | К родителю #32 | Наверх | Cообщить модератору

35. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (35), 27-Дек-19, 13:36 
> самостоятельно извлекает необходимый образ операционной системы и поддерживает его в актуальном состоянии.

Т.е. в любой момент прилетят баги, отберут прежние функции.

Ну в Снапе топят за тоже.

Без снэпов есть где глянуть?

Ответить | Правка | Наверх | Cообщить модератору

39. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (38), 27-Дек-19, 13:43 
> отберут прежние функции

Вот это беда многих недо- или переучившихся - использовать недокументированные функции.

Ответить | Правка | Наверх | Cообщить модератору

72. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (-), 29-Дек-19, 02:00 
Какая тебе разница, ты же админ локалхоста.
Ответить | Правка | К родителю #35 | Наверх | Cообщить модератору

36. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Аноним (36), 27-Дек-19, 13:37 
посоветуйте что нибудь дистронезависимое для управления квм? Виртменеджер безальтернативен, или есть что получше?
Ответить | Правка | Наверх | Cообщить модератору

57. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +2 +/
Сообщение от Анонимemail (57), 28-Дек-19, 00:56 
ssh+cockpit
OR
VNC
it works...
Ответить | Правка | Наверх | Cообщить модератору

61. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 28-Дек-19, 11:37 
Gnome Boxes. Прост, как палка.
Ответить | Правка | К родителю #36 | Наверх | Cообщить модератору

64. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Сейд (ok), 28-Дек-19, 17:39 
cockpit-machines
https://cockpit-project.org/
Ответить | Правка | К родителю #36 | Наверх | Cообщить модератору

47. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (47), 27-Дек-19, 18:45 
Ещё один клон их uvtool?
Ответить | Правка | Наверх | Cообщить модератору

49. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (49), 27-Дек-19, 19:13 
> Для быстрой установки multipass в Ubuntu подготовлен snap-пакет

Достали они snap пихать везде. Недавно обнаружил, что установка deb пакета chromium-browser в 19.10 теперь ставит snap! При удалении пакета понятное дело не удаляет snap.

Для меня самая большая проблема snap - это автоматические обновления, которые *нельзя* (https://askubuntu.com/questions/930593/how-to-disable-autore...) отключить.

Ответить | Правка | Наверх | Cообщить модератору

56. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –2 +/
Сообщение от . (?), 28-Дек-19, 00:33 
ну в целом насчет хромога я с ними согласен - учитывая бесконечные обновления не ложащиеся в цикл релиза дистрибутива, бессмысленность сидения на позапрошлой версии с дырами и багами, в которой уже опять что-то не открывается, и гемор со сборкой - snap как раз вполне подходит для подобного чудо-софта.

И да, зачем отключать автоматические обновления хромога?

Ответить | Правка | Наверх | Cообщить модератору

69. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (69), 29-Дек-19, 00:35 
> И да, зачем отключать автоматические обновления хромога?

Хочу контролировать обновления сам. А не так, что в фоне что-то обновилось и перестало работать.

Ответить | Правка | Наверх | Cообщить модератору

82. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (82), 30-Дек-19, 05:16 
> учитывая бесконечные обновления не ложащиеся в цикл релиза дистрибутива

Как бы firefox они распространяют через deb. Другие дистрибутивы распространяют браузеры тоже через пакетные менеджеры.

> и гемор со сборкой - snap как раз вполне подходит для подобного чудо-софта.

А никто его и не собирает. Можно глянуть в исходники пакеты - качается собранная версия chromium. Также сборка в snap ничем не отличается от debian в том плане, что собирать надо как обычно, только плюс в snap добавляется куча плохо документированной возни с правами.  

Ответить | Правка | К родителю #56 | Наверх | Cообщить модератору

62. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 28-Дек-19, 11:38 
Достали текст по ссылке не читать.
Ответить | Правка | К родителю #49 | Наверх | Cообщить модератору

68. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (69), 29-Дек-19, 00:33 
Ты про sudo snap set system refresh.metered=hold? Это же бред.
Ответить | Правка | Наверх | Cообщить модератору

78. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 29-Дек-19, 13:54 
> Ты про sudo snap set system refresh.metered=hold? Это же бред.

    /lib/systemd/system/snapd.refresh.service
    /lib/systemd/system/snapd.refresh.timer

Ответить | Правка | Наверх | Cообщить модератору

81. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (69), 29-Дек-19, 19:53 
Ты почитай обсуждение на форуме. Проблема в корне - разработчики не хотят эту возможность давать.

Твой скопипасченный ответ - это костыль: есть сервис, отвечающий за обновление, давайте его отключим. С таким же успехом можно код поправить.

Ответить | Правка | Наверх | Cообщить модератору

84. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (82), 30-Дек-19, 05:53 
Нет таких сервисов. Хоть бы проверил для начала.
Ответить | Правка | К родителю #78 | Наверх | Cообщить модератору

71. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (-), 29-Дек-19, 01:58 
Ну так начни пихать свое пoдeлие, в чем проблема? Приходишь на работу и всем запихивает флатпак, надо/ненадо - дело десятое, просто идешь и ставишь. А на вопрос "Какого *****, Иван?! Что происходит?" тупо молчишь и продолжаешь заливать. До полного эффекта удовлетворения. Длительный бонус к новогодним выходным обеспечен. ;)
Ответить | Правка | К родителю #49 | Наверх | Cообщить модератору

74. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (69), 29-Дек-19, 07:35 
> Ну так начни пихать свое пoдeлие, в чем проблема?

В том, что есть deb-пакеты - стандартный способ установки софта.

Ответить | Правка | Наверх | Cообщить модератору

77. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 29-Дек-19, 13:53 
>> Ну так начни пихать свое пoдeлие, в чем проблема?
> В том, что есть deb-пакеты - стандартный способ установки софта.

А дай ссылку на этот стандарт.

Ответить | Правка | Наверх | Cообщить модератору

79. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (69), 29-Дек-19, 19:46 
> А дай ссылку на этот стандарт.

А давай ты пойдешь тролить в другое место. Жена будет давать.

Ответить | Правка | Наверх | Cообщить модератору

85. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 30-Дек-19, 10:59 
>> А дай ссылку на этот стандарт.
> А давай ты пойдешь тролить в другое место. Жена будет давать.

А давай ты пойдёшь врать в другое место. Жене, например.

Ответить | Правка | Наверх | Cообщить модератору

89. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (89), 01-Янв-20, 15:07 
> А давай ты пойдёшь врать в другое место.

Сможешь доказать обратное?

Ответить | Правка | Наверх | Cообщить модератору

91. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 03-Янв-20, 22:03 
>> А давай ты пойдёшь врать в другое место.
> Сможешь доказать обратное?

Ты пёрнул — ты и доказывай. Я тебе не мальчик, я про чайник Рассела знаю.

Ответить | Правка | Наверх | Cообщить модератору

52. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +3 +/
Сообщение от Gannetemail (ok), 27-Дек-19, 23:57 
Snap - шлак. Соответственно всё что в внутри не нужно.
Ответить | Правка | Наверх | Cообщить модератору

70. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (-), 29-Дек-19, 01:53 
А на работе мне выдали премию за то, что оказался единственным админом, умеющим в snap. Админов, если чо, больше одного. ;)

Так что snap очень даже нужен, он как дед мороз, только круче. Вот на премию куплю себе Twitter Mantis E-1!

Ответить | Правка | Наверх | Cообщить модератору

80. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Аноним (69), 29-Дек-19, 19:47 
> единственным админом, умеющим в snap

А ты уверен, что завтра snap не обновит то, что ты поставил/настроил и все не слетит к чертям? Ах, да, забыл: надо же сделать себя незаменимым сотрудником.

Ответить | Правка | Наверх | Cообщить модератору

83. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  –1 +/
Сообщение от Аноним (82), 30-Дек-19, 05:23 
snap - это раковая опухоль. Кроме как силой на него не заставить перейти. В основном им пользуются для доставки всякой поприетарной фигни (где авторы не хотят заморачиваться с зависимостями и все тащят с собой). Но изоляцию в таком случае найдо проверять, что ее включили. Например, популярный VSCode выходит из песочницы https://github.com/microsoft/vscode/issues/75669

Да ради инетерса, попробуйте прочитать их доку и понять как собрать пакет окромя стандартных кейсов.

Ответить | Правка | Наверх | Cообщить модератору

86. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Annoynymous (ok), 30-Дек-19, 11:00 
> Например,
> популярный VSCode выходит из песочницы https://github.com/microsoft/vscode/issues/75669

Например, популярный VSCode не находится в песочнице, о чём пользователя предупреждают большими буквами при установке пакета.

Ответить | Правка | Наверх | Cообщить модератору

90. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +/
Сообщение от Аноним (89), 01-Янв-20, 15:08 
Дык изоляция преподносится как одна из возможностей snap. Если она выключена, то зачем он нужен?
Ответить | Правка | Наверх | Cообщить модератору

92. "Canonical выпустил multipass 1.0, инструментарий для развёрт..."  +1 +/
Сообщение от Annoynymous (ok), 03-Янв-20, 22:04 
> Дык изоляция преподносится как одна из возможностей snap. Если она выключена, то
> зачем он нужен?

Затем, чтобы а) устанавливать один пакет в любой дистрибутив, б) обновлять пакет независимо от разлиз-циклов и скорости работы майнтейнеров дистрибутива.

А изоляция — это вообще побочный эффект, без неё было бы проще.

Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру